package android.support.v7.widget;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.support.v4.view.ViewCompat;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.View.MeasureSpec;
import android.widget.FrameLayout;

public class ContentFrameLayout
  extends FrameLayout
{
  private OnAttachListener mAttachListener;
  private final Rect mDecorPadding = new Rect();
  private TypedValue mFixedHeightMajor;
  private TypedValue mFixedHeightMinor;
  private TypedValue mFixedWidthMajor;
  private TypedValue mFixedWidthMinor;
  private TypedValue mMinWidthMajor;
  private TypedValue mMinWidthMinor;
  
  public ContentFrameLayout(Context paramContext)
  {
    this(paramContext, null);
  }
  
  public ContentFrameLayout(Context paramContext, AttributeSet paramAttributeSet)
  {
    this(paramContext, paramAttributeSet, 0);
  }
  
  public ContentFrameLayout(Context paramContext, AttributeSet paramAttributeSet, int paramInt)
  {
    super(paramContext, paramAttributeSet, paramInt);
  }
  
  public void dispatchFitSystemWindows(Rect paramRect)
  {
    fitSystemWindows(paramRect);
  }
  
  public TypedValue getFixedHeightMajor()
  {
    if (this.mFixedHeightMajor == null) {
      this.mFixedHeightMajor = new TypedValue();
    }
    return this.mFixedHeightMajor;
  }
  
  public TypedValue getFixedHeightMinor()
  {
    if (this.mFixedHeightMinor == null) {
      this.mFixedHeightMinor = new TypedValue();
    }
    return this.mFixedHeightMinor;
  }
  
  public TypedValue getFixedWidthMajor()
  {
    if (this.mFixedWidthMajor == null) {
      this.mFixedWidthMajor = new TypedValue();
    }
    return this.mFixedWidthMajor;
  }
  
  public TypedValue getFixedWidthMinor()
  {
    if (this.mFixedWidthMinor == null) {
      this.mFixedWidthMinor = new TypedValue();
    }
    return this.mFixedWidthMinor;
  }
  
  public TypedValue getMinWidthMajor()
  {
    if (this.mMinWidthMajor == null) {
      this.mMinWidthMajor = new TypedValue();
    }
    return this.mMinWidthMajor;
  }
  
  public TypedValue getMinWidthMinor()
  {
    if (this.mMinWidthMinor == null) {
      this.mMinWidthMinor = new TypedValue();
    }
    return this.mMinWidthMinor;
  }
  
  protected void onAttachedToWindow()
  {
    super.onAttachedToWindow();
    if (this.mAttachListener != null) {
      this.mAttachListener.onAttachedFromWindow();
    }
  }
  
  protected void onDetachedFromWindow()
  {
    super.onDetachedFromWindow();
    if (this.mAttachListener != null) {
      this.mAttachListener.onDetachedFromWindow();
    }
  }
  
  protected void onMeasure(int paramInt1, int paramInt2)
  {
    int k = paramInt1;
    int i = paramInt2;
    DisplayMetrics localDisplayMetrics = getContext().getResources().getDisplayMetrics();
    int i2;
    int n;
    int m;
    TypedValue localTypedValue;
    if (localDisplayMetrics.widthPixels < localDisplayMetrics.heightPixels)
    {
      paramInt2 = 1;
      int i1 = View.MeasureSpec.getMode(k);
      i2 = View.MeasureSpec.getMode(i);
      n = 0;
      m = k;
      int j = n;
      if (i1 == Integer.MIN_VALUE)
      {
        if (paramInt2 == 0) {
          break label433;
        }
        localTypedValue = this.mFixedWidthMinor;
        label73:
        m = k;
        j = n;
        if (localTypedValue != null)
        {
          m = k;
          j = n;
          if (localTypedValue.type != 0)
          {
            paramInt1 = 0;
            if (localTypedValue.type != 5) {
              break label442;
            }
            paramInt1 = (int)localTypedValue.getDimension(localDisplayMetrics);
            label122:
            m = k;
            j = n;
            if (paramInt1 > 0)
            {
              m = View.MeasureSpec.makeMeasureSpec(Math.min(paramInt1 - (this.mDecorPadding.left + this.mDecorPadding.right), View.MeasureSpec.getSize(k)), 1073741824);
              j = 1;
            }
          }
        }
      }
      k = i;
      if (i2 == Integer.MIN_VALUE)
      {
        if (paramInt2 == 0) {
          break label474;
        }
        localTypedValue = this.mFixedHeightMajor;
        label189:
        k = i;
        if (localTypedValue != null)
        {
          k = i;
          if (localTypedValue.type != 0)
          {
            paramInt1 = 0;
            if (localTypedValue.type != 5) {
              break label483;
            }
            paramInt1 = (int)localTypedValue.getDimension(localDisplayMetrics);
            label228:
            k = i;
            if (paramInt1 > 0) {
              k = View.MeasureSpec.makeMeasureSpec(Math.min(paramInt1 - (this.mDecorPadding.top + this.mDecorPadding.bottom), View.MeasureSpec.getSize(i)), 1073741824);
            }
          }
        }
      }
      super.onMeasure(m, k);
      i2 = getMeasuredWidth();
      m = 0;
      n = View.MeasureSpec.makeMeasureSpec(i2, 1073741824);
      i = n;
      paramInt1 = m;
      if (j == 0)
      {
        i = n;
        paramInt1 = m;
        if (i1 == Integer.MIN_VALUE)
        {
          if (paramInt2 == 0) {
            break label515;
          }
          localTypedValue = this.mMinWidthMinor;
          label326:
          i = n;
          paramInt1 = m;
          if (localTypedValue != null)
          {
            i = n;
            paramInt1 = m;
            if (localTypedValue.type != 0)
            {
              paramInt1 = 0;
              if (localTypedValue.type != 5) {
                break label524;
              }
              paramInt1 = (int)localTypedValue.getDimension(localDisplayMetrics);
            }
          }
        }
      }
    }
    for (;;)
    {
      paramInt2 = paramInt1;
      if (paramInt1 > 0) {
        paramInt2 = paramInt1 - (this.mDecorPadding.left + this.mDecorPadding.right);
      }
      i = n;
      paramInt1 = m;
      if (i2 < paramInt2)
      {
        i = View.MeasureSpec.makeMeasureSpec(paramInt2, 1073741824);
        paramInt1 = 1;
      }
      if (paramInt1 != 0) {
        super.onMeasure(i, k);
      }
      return;
      paramInt2 = 0;
      break;
      label433:
      localTypedValue = this.mFixedWidthMajor;
      break label73;
      label442:
      if (localTypedValue.type != 6) {
        break label122;
      }
      paramInt1 = (int)localTypedValue.getFraction(localDisplayMetrics.widthPixels, localDisplayMetrics.widthPixels);
      break label122;
      label474:
      localTypedValue = this.mFixedHeightMinor;
      break label189;
      label483:
      if (localTypedValue.type != 6) {
        break label228;
      }
      paramInt1 = (int)localTypedValue.getFraction(localDisplayMetrics.heightPixels, localDisplayMetrics.heightPixels);
      break label228;
      label515:
      localTypedValue = this.mMinWidthMajor;
      break label326;
      label524:
      if (localTypedValue.type == 6) {
        paramInt1 = (int)localTypedValue.getFraction(localDisplayMetrics.widthPixels, localDisplayMetrics.widthPixels);
      }
    }
  }
  
  public void setAttachListener(OnAttachListener paramOnAttachListener)
  {
    this.mAttachListener = paramOnAttachListener;
  }
  
  public void setDecorPadding(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    this.mDecorPadding.set(paramInt1, paramInt2, paramInt3, paramInt4);
    if (ViewCompat.isLaidOut(this)) {
      requestLayout();
    }
  }
  
  public static abstract interface OnAttachListener
  {
    public abstract void onAttachedFromWindow();
    
    public abstract void onDetachedFromWindow();
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/slocker/classes-dex2jar.jar!/android/support/v7/widget/ContentFrameLayout.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */